### Method

# WebKit2WebExtension DOMDOMImplementation create_document_type

#### Declaration [src]

    WebKitDOMDocumentType*
    webkit_dom_dom_implementation_create_document_type (
      WebKitDOMDOMImplementation* self,
      const gchar* qualifiedName,
      const gchar* publicId,
      const gchar* systemId,
      GError** error
    )

#### Description

No description available.

Deprecated since: | 2.22
Use JavaScriptCore API instead.

#### Parameters

`qualifiedName` | `const gchar*`
| A #gchar.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`publicId` | `const gchar*`
| A #gchar.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`systemId` | `const gchar*`
| A #gchar.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `WebKitDOMDocumentType`
| A `WebKitDOMDocumentType`.
| The data is owned by the instance.